package cn.com.poc.portal.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.portal.entity.BizPortalDialoguesEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizPortalDialoguesService extends BaseService {

    BizPortalDialoguesEntity get(java.lang.Long id) throws Exception;

    List<BizPortalDialoguesEntity> findByExample(BizPortalDialoguesEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizPortalDialoguesEntity save(BizPortalDialoguesEntity entity) throws Exception;

    BizPortalDialoguesEntity update(BizPortalDialoguesEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}